Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class XMLAttributeDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.XMLAttributeDecl

public class XMLAttributeDecl
extends java.lang.Object

Version:
  $Id: XMLAttributeDecl.java,v 1.3 2002/01/29 01:15:10 lehors Exp $

Field Summary
`org.apache.xerces.xni.QName` | `name` name
`boolean` | `optional` optional
`XMLSimpleType` | `simpleType` simpleType

Constructor Summary
`XMLAttributeDecl()`

Method Summary
`void` | `clear()` clear
`void` | `setValues(org.apache.xerces.xni.QName name, XMLSimpleType simpleType, boolean optional)` setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final org.apache.xerces.xni.QName name

  name

### simpleType

    public final XMLSimpleType simpleType

  simpleType

### optional

    public boolean optional

  optional

Constructor Detail

### XMLAttributeDecl

    public XMLAttributeDecl()

Method Detail

### setValues

    public void setValues(org.apache.xerces.xni.QName name,
                          XMLSimpleType simpleType,
                          boolean optional)

  setValues
  Parameters:
    `name` -
    `simpleType` -
    `optional` -

### clear

    public void clear()

  clear

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.